## xdelta 1.1.3

=== debian/changelog ===
xdelta (1.1.3-10.8) unstable; urgency=medium

  * Fix GCC 15 build failures by defining `std=gnu17` (Closes: #1098128)
  * Enable Salsa CI using default template
  * Document packaging git repository conventions in gbp.conf

 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 Oct 2025 23:01:19 -0700

xdelta (1.1.3-10.7) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: turn gcc-14 errors into warnings (Closes: #1075655)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 16 Aug 2024 17:23:31 -0300

xdelta (1.1.3-10.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete debian/shlibs.local which breaks install on 32-bit
    archs.  Thanks to Sven Joachim <svenjoac@gmx.de>.  Closes: #1065121.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 07:46:54 +0000

xdelta (1.1.3-10.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063251

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 06:20:41 +0000

xdelta (1.1.3-10.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don’t install .la files (Closes: #633194)
  * Link libxdelta against libedsio (Closes: #558971, #585713)
  * Backport upstream fixes.
  * Add missing -q to the usage text.
  * Add pkg-config support.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 17:50:22 +0100

xdelta (1.1.3-10.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jelmer Vernooĳ ]
  * Upgrade to newer source format 3.0 (quilt).
  * Set debhelper-compat version in Build-Depends.

  [ Andrej Shadura ]
  * Change priority extra to priority optional.
  * Remove Priority on libxdelta2-dev that duplicates source.
  * Remove empty maintainer scripts: libxdelta2 (postinst).
  * Remove unnecessary cruft, switch to dh sequencer.
  * Install xdelta aclocal m4, because why not.
  * Drop unnecessary build dependency on autotools-dev.
  * Bump Standards-Version to 4.6.0.
  * Set Rules-Requires-Root: no.
  * Prefer a modern pkg-config implementation.
  * Untangle patches from the source.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 15:21:02 +0100

xdelta (1.1.3-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  Sourrce code:
  * Reinstate the NMU changes from 1.1.3-9.1, -9.2, -9.3.
    These seem to have been accidentally dropped in the previous NMU.
    (Used dgit and manual git merge fu; resolved conflicts
    in debian/control and debian/rules.)  Closes: #1002851.
  * Revert apparently-unintended changes in -10.1 to generated files.
  * Remove a spurious trailing tab in debian/rules.
  * Ensure source package contains .gitignore (seems to have been
    added in 1.1.3-10.2, perhaps unintentionally, but IMO omission
    in earlier release is wrong).

  Binary package changes compared to 1.1.3-9.4:
  * Libraries are all in multiarch paths (due to: dh_auto_configure
    as per #875900 in -9.2; in combination with bump of dh compat level).
  * Add Multi-Arch: same to the runtime library.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 31 Dec 2021 00:00:48 +0000

xdelta (1.1.3-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Vcs headers at salsa.
  * Use pkg-config to find glib C flags, as glib-config is gone.
  * Bump debhelper from deprecated 5 to 13. Closes: #965890
    + debian/rules: Rely on default use of dh_missing rather than using
      dh_install --list-missing.
  * Add missing debian/rules targets build-indep, build-arch. Closes: #999238
  * Add debian/rules target for creating configure.
  * debian/rules: Use dh_prep rather than "dh_clean -k".

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 16:27:36 +0000

xdelta (1.1.3-9.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-arch and build-indep targets (closes: #999238).

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Dec 2021 12:15:05 +0000

xdelta (1.1.3-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move xdelta-config libxdelta2-dev. (Closes: #901227)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Jun 2018 11:32:30 +0200

xdelta (1.1.3-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Adding ${misc:Depends} to packages in d/control
    - lintian warning: debhelper-but-no-misc-depends

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_configure (Closes: #875900)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 01 Nov 2017 00:37:55 +0100

xdelta (1.1.3-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on Hurd, patch by Jeremie Koenig (Closes: #640290).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 13 May 2014 14:16:13 +0000

xdelta (1.1.3-9) unstable; urgency=low

  [Jeff Bailey]

  * rules: use autoreconf, not individual commands
  * new config.{guess,sub}
  * configure.in: fix glib linking

  [Barry deFreese]

  * build: switch to debhelper; cleanup lintian, standards level

  [Guillem Jover]

  * Switch from glib1.2 to glib2.0.  Closes: #490257

  [LaMont Jones]

  * configure.in: fix glib check error
  * build: no more debmake
  * build: freshen autofiles
  * build: don't build-dep on auto*
  * drop autogenerated files from source control
  * build: build-depend autotools-dev, drop config.{guess,sub} from source
    control

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Aug 2009 05:52:52 -0600

xdelta (1.1.3-8) unstable; urgency=low

  [Barry deFreese]

  * build: switch to debhelper; cleanup lintian, standards level

  [Jeff Bailey]

  * rules: use autoreconf, not individual commands
  * configure.in: fix glib linking

  [LaMont Jones]

  * control: document git repository location
  * build: regen auto* files.  Closes: #306585
  * build: don't build-dep on auto*
  * drop autogenerated files from source control
  * build: build-depend autotools-dev

 -- LaMont Jones <lamont@debian.org>  Tue, 25 Dec 2007 09:37:02 -0700

xdelta (1.1.3-7) unstable; urgency=low

  * Acknowledge NMU.  Closes: #297844

