=== debian/control ===
Source: xdelta
Section: utils
Priority: optional
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libglib2.0-dev, zlib1g-dev, pkgconf | pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/xdelta
Vcs-Git: https://salsa.debian.org/debian/xdelta.git

Package: xdelta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A diff utility which works with binary files
 Xdelta is an application program designed to compute changes between
 files.  These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between files.  However, unlike diff, the output of Xdelta is
 not expressed in a human-readable format--Xdelta can also apply
 these deltas to a copy of the original file.  Xdelta uses a fast,
 linear algorithm and performs well on both binary and text files.

Package: libxdelta2t64
Provides: ${t64:Provides}
Replaces: libxdelta2
Breaks: libxdelta2 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Xdelta runtime library
 Xdelta is an application program designed to compute changes between
 files.  These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between files.  However, unlike diff, the output of Xdelta is
 not expressed in a human-readable format--Xdelta can also apply
 these deltas to a copy of the original file.  Xdelta uses a fast,
 linear algorithm and performs well on both binary and text files.
 .
 This is the runtime library.

Package: libxdelta2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libxdelta2t64 (= ${binary:Version})
Breaks: xdelta (<< 1.1.3-9.3~)
Replaces: xdelta-dev, xdelta (<< 1.1.3-9.3~)
Conflicts: libxdelta0-dev, libxdelta1-dev
Description: Xdelta development files
 Xdelta is an application program designed to compute changes between
 files.  These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between files.  However, unlike diff, the output of Xdelta is
 not expressed in a human-readable format--Xdelta can also apply
 these deltas to a copy of the original file.  Xdelta uses a fast,
 linear algorithm and performs well on both binary and text files.
 .
 This is are the development files for the runtime library.
